{
  "$schema": "https://biomejs.dev/schemas/1.9.4/schema.json",
  "vcs": {
    "enabled": true,
    "clientKind": "git",
    "useIgnoreFile": true
  },
  "organizeImports": {
    "enabled": true
  },
  "linter": {
    "enabled": true,
    "rules": {
      "recommended": true,
      "correctness": {
        "noUnusedVariables": "warn",
        "useExhaustiveDependencies": "off"
      },
      "suspicious": {
        "noExplicitAny": "off",
        "noArrayIndexKey": "off",
        "noMisleadingCharacterClass": "off"
      },
      "style": {
        "useImportType": "off",
        "noNonNullAssertion": "off"
      },
      "a11y": {
        "useFocusableInteractive": "off",
        "useSemanticElements": "off"
      }
    }
  },
  "formatter": {
    "enabled": true,
    "indentStyle": "space",
    "indentWidth": 2,
    "lineWidth": 100
  },
  "javascript": {
    "formatter": {
      "quoteStyle": "single",
      "semicolons": "always",
      "trailingCommas": "es5"
    }
  },
  "json": {
    "formatter": {
      "indentStyle": "space",
      "indentWidth": 2
    }
  },
  "files": {
    "ignore": [
      "node_modules",
      "dist",
      "build",
      "generated",
      ".next",
      "coverage",
      "**/tsconfig*.json",
      "**/tsconfig/**/*.json",
      "routeTree.gen.ts"
    ]
  }
}
